ANNIE1-electronics-design - Task #10509
Task # 10449 (Assigned): HV pickoff & signal splitter

Task # 10463 (Assigned): HV pickoff/splitter enclosure

Task # 10468 (Assigned): Pickoff/splitter enclosure production

Attach bulkhead connectors and pcb mounting hardware

10/14/2015 10:49 AM - Jonathan Eisch

Status: Assigned Start date: 01/06/2016
Priority: Normal Due date: 01/22/2016
Assignee: Jonathan Eisch % Done: 100%
Category: Estimated time: 5.00 hours
Target version: Spent time: 0.00 hour
Description

History

#1-12/17/2015 05:19 PM - Jonathan Eisch

- Due date changed from 11/09/2015 to 01/12/2016
- Status changed from New to Assigned

- Assignee set to Jonathan Eisch

- Start date changed from 11/05/2015 to 12/21/2015

#2 - 12/18/2015 02:47 PM - Jonathan Eisch
- Start date changed from 12/21/2015 to 01/06/2016

#3 - 01/12/2016 03:05 PM - Jonathan Eisch
- Due date changed from 01/12/2016 to 01/22/2016

#4 - 04/06/2016 11:13 PM - Matthew Wetstein
- % Done changed from 0 to 100
